package com.kingdee.eas.custom.notify;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class NotifyTodoFactory
{
    private NotifyTodoFactory()
    {
    }
    public static com.kingdee.eas.custom.notify.INotifyTodo getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.notify.INotifyTodo)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("C5094189") ,com.kingdee.eas.custom.notify.INotifyTodo.class);
    }
    
    public static com.kingdee.eas.custom.notify.INotifyTodo getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.notify.INotifyTodo)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("C5094189") ,com.kingdee.eas.custom.notify.INotifyTodo.class, objectCtx);
    }
    public static com.kingdee.eas.custom.notify.INotifyTodo getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.notify.INotifyTodo)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("C5094189"));
    }
    public static com.kingdee.eas.custom.notify.INotifyTodo getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.notify.INotifyTodo)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("C5094189"));
    }
}